> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hub-message.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send image

> Envia imagem como mensagem 



## OpenAPI

````yaml POST /send-image
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.hub-message.com/instances/{instanceId}/token/{instanceToken}
    variables:
      instanceId:
        default: exemplo-instance
      instanceToken:
        default: exemplo-token
security:
  - clientToken: []
paths:
  /send-image:
    post:
      description: 'Envia imagem como mensagem '
      requestBody:
        description: Dados da mensagem a ser enviada
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageMessage'
        required: true
      responses:
        '200':
          description: Mensagem adicionada na fila com sucesso
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageQueue'
components:
  schemas:
    ImageMessage:
      required:
        - phone
        - image
      type: object
      properties:
        phone:
          description: Número de telefone a receber a image
          type: string
        image:
          description: Url ou base a ser enviado
          type: string
        delayTyping:
          description: >-
            Nesse atributo um delay é adicionado na mensagem. Você pode decidir
            entre um range de 1~15 sec, significa quantos segundos ele vai ficar
            com o status 'Digitando...'. (Ex 'delayTyping': 5, ). O delay
            default caso não seja informado é de 0
          type: integer
    MessageQueue:
      type: object
      properties:
        zaapId:
          description: id da mensagem na fila do hub message.
          type: string
        messageId:
          description: id da mensagem no whatsapp.
          type: string
        id:
          description: >-
            id da mensagem no whatsapp para compatibilidade de versões
            anteriores.
          type: integer
  securitySchemes:
    clientToken:
      type: apiKey
      in: header
      name: Client-Token

````